Summary:	The OpenLDAP modules for openldap-2.2.13
Name: 		openldap-libs22
Version: 	2.2.13
Release: 	12.el4_8.5
License: 	GPL
Group: 		Utilities
Source0: 	%{name}-%{version}.tar.gz
URL:		http://www.OpenLDAP.org
Distribution:	RedHat-Fedora
Vendor:	        Dr. Linux	
Packager:	R.W.H. Vermare <rene@vermare.net>
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: bash, binutils, gcc, glibc, ncurses, make, tar, zlib, glibc


%define _unpackaged_files_terminate_build       1
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j4
%define _target_platform i686-pc-linux-gnu

%description
This is Your Operating System rpm spec file for openssl-libs

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

#%patch

mkdir -p %{buildroot}/usr/lib
cp usr/lib/libldap-2.2.so.7.0.6 usr/lib/libldap_r-2.2.so.7.0.6 usr/lib/liblber-2.2.so.7.0.6 %{buildroot}/usr/lib

%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%post
if test -s /usr/lib/libldap-2.2.so.7; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libldap-2.2.so.7.0.6 /usr/lib/libldap-2.2.so.7
fi
if test -s /usr/lib/libldap_r-2.2.so.7; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libldap_r-2.2.so.7.0.6 /usr/lib/libldap_r-2.2.so.7
fi
if test -s /usr/lib/liblber-2.2.so.7; then
echo "Symlinks already exists"
else
ln -s /usr/lib/liblber-2.2.so.7.0.6 /usr/lib/liblber-2.2.so.7
fi

%preun
if test -s /usr/lib/libldap-2.2.so.7; then
rm -f /usr/lib/libldap-2.2.so.7
fi
if test -s /usr/lib/libldap_r-2.2.so.7; then
rm -f /usr/lib/libldap_r-2.2.so.7
fi
if test -s /usr/lib/liblber-2.2.so.7; then
rm -f /usr/lib/liblber-2.2.so.7
fi

%files
%defattr(-,root,root)
/usr/lib/libldap-2.2.so.7.0.6
/usr/lib/libldap_r-2.2.so.7.0.6
/usr/lib/liblber-2.2.so.7.0.6

%changelog
* Sun Aug 18 2019 René Vermare <rene@vermare.net> - 2.2.13-12.el4_8.5
- Build version 2.2.13-12.el4_8.5
